net.sourceforge.pmd.lang.ecmascript

## Class EcmascriptParserOptions

- java.lang.Object
- - net.sourceforge.pmd.lang.ParserOptions
  - - net.sourceforge.pmd.lang.ecmascript.EcmascriptParserOptions

    public class EcmascriptParserOptions
    extends ParserOptions

### Nested Class Summary

Nested Classes
`static class` `EcmascriptParserOptions.Version`

### Field Summary

Fields
`static BooleanProperty` `RECORDING_COMMENTS_DESCRIPTOR`
`static BooleanProperty` `RECORDING_LOCAL_JSDOC_COMMENTS_DESCRIPTOR`
`static EnumeratedProperty<EcmascriptParserOptions.Version>` `RHINO_LANGUAGE_VERSION`

### Fields inherited from class net.sourceforge.pmd.lang.ParserOptions

`suppressMarker`

### Constructor Summary

Constructors
Constructor and Description
`EcmascriptParserOptions()`
`EcmascriptParserOptions(Rule rule)`

### Method Summary

Methods
`boolean` `equals(Object obj)`
`EcmascriptParserOptions.Version` `getRhinoLanguageVersion()`
`int` `hashCode()`
`boolean` `isRecordingComments()`
`boolean` `isRecordingLocalJsDocComments()`
`void` `setRecordingComments(boolean recordingComments)`
`void` `setRecordingLocalJsDocComments(boolean recordingLocalJsDocComments)`
`void` `setRhinoLanguageVersion(EcmascriptParserOptions.Version rhinoLanguageVersion)`

### Methods inherited from class net.sourceforge.pmd.lang.ParserOptions

`getSuppressMarker, setSuppressMarker`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### RECORDING_COMMENTS_DESCRIPTOR

    public static final BooleanProperty RECORDING_COMMENTS_DESCRIPTOR

#### RECORDING_LOCAL_JSDOC_COMMENTS_DESCRIPTOR

    public static final BooleanProperty RECORDING_LOCAL_JSDOC_COMMENTS_DESCRIPTOR

#### RHINO_LANGUAGE_VERSION

    public static final EnumeratedProperty<EcmascriptParserOptions.Version> RHINO_LANGUAGE_VERSION

### Constructor Detail

#### EcmascriptParserOptions

    public EcmascriptParserOptions()

#### EcmascriptParserOptions

    public EcmascriptParserOptions(Rule rule)

### Method Detail

#### isRecordingComments

    public boolean isRecordingComments()

#### setRecordingComments

    public void setRecordingComments(boolean recordingComments)

#### isRecordingLocalJsDocComments

    public boolean isRecordingLocalJsDocComments()

#### setRecordingLocalJsDocComments

    public void setRecordingLocalJsDocComments(boolean recordingLocalJsDocComments)

#### getRhinoLanguageVersion

    public EcmascriptParserOptions.Version getRhinoLanguageVersion()

#### setRhinoLanguageVersion

    public void setRhinoLanguageVersion(EcmascriptParserOptions.Version rhinoLanguageVersion)

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `ParserOptions`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `ParserOptions`